Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Class MessageBrokerChannelValue

    java.lang.Object
      com.bea.wli.management.runtime.MessageBrokerChannelValue

All Implemented Interfaces:
  Serializable

    public class MessageBrokerChannelValue

extends Object
implements Serializable

Represents a message broker channel

See Also:
  Serialized Form

Field Summary
`static String` | `_MESSAGE_TYPE_NONE` Message type indicating that the channel cannot be published or subscribed to
`static String` | `_MESSAGE_TYPE_RAWDATA` Message type indicating that the channel is for publishing `com.bea.data.RawData` values
`static String` | `_MESSAGE_TYPE_STRING` Message type indicating that the channel is for publishing `java.lang.String` values
`static String` | `_MESSAGE_TYPE_XML` Message type indicating that the channel is for publishing `org.apache.xmlbeans.XmlObject` values

Constructor Summary
`MessageBrokerChannelValue(String channelName, String messageType, int msgcount, int deadMsgCount)`

Method Summary
`String` | `getChannelName()` get the channel name
`int` | `getDeadMessageCount()` get the undelivered message count
`int` | `getMessageCount()` get the message count
`String` | `getMessageType()` get the message type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _MESSAGE_TYPE_XML

    public static final String _MESSAGE_TYPE_XML

  Message type indicating that the channel is for publishing `org.apache.xmlbeans.XmlObject` values

  See Also:
    Constant Field Values

### _MESSAGE_TYPE_RAWDATA

    public static final String _MESSAGE_TYPE_RAWDATA

  Message type indicating that the channel is for publishing `com.bea.data.RawData` values

  See Also:
    Constant Field Values

### _MESSAGE_TYPE_STRING

    public static final String _MESSAGE_TYPE_STRING

  Message type indicating that the channel is for publishing `java.lang.String` values

  See Also:
    Constant Field Values

### _MESSAGE_TYPE_NONE

    public static final String _MESSAGE_TYPE_NONE

  Message type indicating that the channel cannot be published or subscribed to

  See Also:
    Constant Field Values

Constructor Detail

### MessageBrokerChannelValue

    public MessageBrokerChannelValue(String channelName,
                                     String messageType,
                                     int msgcount,
                                     int deadMsgCount)

Method Detail

### getChannelName

    public String getChannelName()

  get the channel name

  Returns:
    channel name

### getMessageType

    public String getMessageType()

  get the message type

  Returns:
    message type

### getMessageCount

    public int getMessageCount()

  get the message count

  Returns:
    message count

### getDeadMessageCount

    public int getDeadMessageCount()

  get the undelivered message count

  Returns:
    message count

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD